Last modified: 2012-04-19 21:43:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21216 - To a wiki page Link : When link text is a space link is not visible at preview
To a wiki page Link : When link text is a space link is not visible at preview
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC All
: Normal normal (vote)
: ---
Assigned To: Roan Kattouw
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-21 07:39 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Screen print of the error (48.44 KB, application/pdf)
2009-10-21 07:39 UTC, Calcey QA
Details

Description Calcey QA 2009-10-21 07:39:20 UTC
Created attachment 6693 [details]
Screen print of the error

Reporting against Babaco Release : r57957

Steps to Reproduce ::

1)Select a random page
2)Edit a section
3)Click link to add a link
4)Select “To a wiki page”
5)Select a page for “Page title” from the suggestions
6)Enter a space in “Link text” section
7)Click on “Insert link”
8)Click on Preview
<<Link is not shown in the preview section>>


Expected Outcome::
Either Space should be ignored and display the link or restrict entering the space in Link text

Test Environment::
Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0 (.NET CLR 3.5.30729)

Browser (User-Agent):     Opera/9.80 (X11; Linux i686; U; en) Presto/2.2.15 Version/10.00
Comment 1 Roan Kattouw 2009-10-27 15:45:46 UTC
Fixed in r58198; titles consisting of only spaces are invalid, but were not recognized as such.
Comment 2 Calcey QA 2009-10-29 08:45:36 UTC
Not fixed in http://prototype.wikimedia.org/deployment/Main_Page version r58199
Comment 3 Roan Kattouw 2009-10-29 11:14:11 UTC
Fixed for real in r58309.
Comment 4 Calcey QA 2009-11-12 06:25:22 UTC
Reporting against Babaco Release : r58867


Steps to Reproduce ::
Use the same steps as above
Comment 5 Calcey QA 2010-02-01 10:18:07 UTC
Verified in r61584

Appreciate if you can change the status for us to close the bug
Comment 6 Calcey QA 2010-02-02 03:49:27 UTC
Closing the bug

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links